/* your copyright here */

/* Enable debugging output */
#define ND_DEBUG 1

/* Get in everything Netdude */
#include <nd.h>


/* This is a basic Netdude feature plugin skeleton, tweak as you see fit!
 * You don't need to fill in everything. The default functions simply
 * do nothing.
 *
 * At the shell prompt, you can always find out where plugins are
 * installed by typing "netdude --plugin-dir".
 */


/* Return the name of the plugin. This string gets displayed in the
 * plugins menu. To define the path in the menu hierarchy to your
 * plugin, use slashes to define intermediate menus.
 *
 * The template plugin will show up in a submenu called "Templates".
 */
const char *
name(void)
{
  return "/Templates/Netdude Template";
}

/* A description of the plugin and what it does. */
char *
description(void)
{
  return _("This template plugin does precisely nada :)");
}


const char *
author(void)
{
  return "You, <your@email.foo>";
}

const char *
version(void)
{
  return "0.1";
}


/* This function is automatically called when the plugin is registered.
 * You can perform an initialization that your plugin requires here.
 * Return TRUE when initialization succeeds, FALSE otherwise.
 * If your plugin requires libnetdude plugins to be installed,
 * you can check for their existance using libnd_plugin_find().
 */
gboolean
init(void)
{
  /* Let's assume you'd need libnetdude plugin foobar:
  if (! libnd_plugin_find("foobar"))
    return FALSE;
  */

  D(("Template plugin initialized.\n"));
  return TRUE;
}

/* Here's where the action is -- run() launches the plugin.
 */
void
run(LND_Trace *trace)
{
  D(("Yay! Running Template plugin ...\n"));
}
